<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_admin_users_library_manager.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AdminUsersLibraryManager Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>addButton</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_users_library_manager.html#a840999765e03c776542d26810fb9dce4">addItem</a>()</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_library_manager.html#a51b64c42d4ce0fc1a39134e7dd388ef3">AdminLibraryManager</a>(QWidget *parent=0)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_users_library_manager.html#ae46c10ae7a89c79a4121db0e17573033">AdminUsersLibraryManager</a>(QWidget *parent=0)</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>buttonsArea</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>editButton</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_users_library_manager.html#ac241d538666eb9518efdc574ceb98d82">editItem</a>()</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>findByIdInput</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>findByNameInput</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_users_library_manager.html#a43347bf727ba1230ed52a96e3f0bddad">getRemoveUserFromLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_users_library_manager.html#a3dd572fcdf6f3fc779b408b536f4c94c">getSearchUserRequestResult</a>(std::vector&lt; User &gt; users)</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_users_library_manager.html#af35dcd502d2f2bc79201c8441a601c15">getUserRequestResult</a>(User user, bool isAdmin)</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>removeButton</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_users_library_manager.html#aecdc75b2c88c518d322859875159f7ff">removeItem</a>()</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_users_library_manager.html#a6e84e1cce8f7e66bd610adfefba9737e">search</a>()</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>searchBoxArea</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>searchButton</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>searchResultsArea</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>searchResultsList</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>selectedItem</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_users_library_manager.html#a5cf7536297c50dc0462aad73b2959527">sendAddUserToLibraryRequest</a>(User user, bool makeAdmin)</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_users_library_manager.html#aa37e06de4238dea20dfd2632726b8fdd">sendAddUserToLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_users_library_manager.html#a86e86ab1471f38a1907dd69149c8706a">sendEditUserInLibraryRequest</a>(QString oldId, User newUser, bool isAdmin, QString newPassword)</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_users_library_manager.html#aa84128ee88d2362df4df89d02a4b1311">sendEditUserInLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_users_library_manager.html#a2a7c5516b21ce114aab80e368fc9846d">sendEditUserRequest</a>(User user, bool isAdmin, QString password)</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_users_library_manager.html#a7cfdef06fd1f3f129645c2df0f4aedec">sendRemoveUserFromLibraryRequest</a>(User user)</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_users_library_manager.html#a95bf77f1f271264f4d9889200d91cd96">sendSearchUserRequest</a>(QString id, QString name)</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_users_library_manager.html#acdda0722f5574876dd1b95594589ca29">sendUserRequest</a>(QString username)</td><td class="entry"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_library_manager.html#ac399beaf3586b22edc47994502bb4946">setCurrentSelectedItem</a>(QListWidgetItem *item)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_library_manager.html#a588ee7ab6755c681e967e347ac56d627">setupSearchBox</a>(QString nameLabel=&quot;Name:&quot;, QString idLabel=&quot;Id:&quot;)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_library_manager.html#a6811de04a670a1a66112e5f8e7d83988">setupSearchResultBox</a>()</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
